#!/bin/sh

if [ $# -ne 1 ]
then
  echo Finds all KSKs used for signatures in this zone
  echo Usage: {file to search}
  exit 1
fi


grep -E "IN[[:space:]]+RRSIG" $1 | grep -E "RRSIG[[:space:]]DNSKEY" | sed 's/\(.*\){id = \(.*\)}$/\2/' | awk '!x[$0]++' 
